diff --git a/org.civicrm.module.cividiscount/cividiscount.php b/org.civicrm.module.cividiscount/cividiscount.php
index 6f8c93e7..6f7ebac4 100644
--- a/org.civicrm.module.cividiscount/cividiscount.php
+++ b/org.civicrm.module.cividiscount/cividiscount.php
@@ -254,7 +254,7 @@ function cividiscount_civicrm_validateForm($name, &$fields, &$files, &$form, &$e
       $apcount = 1;
       $sv = $form->getVar('_submitValues');
       if (array_key_exists('additional_participants', $sv)) {
-        $apcount += $sv['additional_participants'];
+        $apcount += (int) $sv['additional_participants'];
       }
       if (($discount['count_use'] + $apcount) > $discount['count_max']) {
         $errors['discountcode'] = E::ts('There are not enough uses remaining for this code.');
@@ -491,7 +491,7 @@ function _cividiscount_checkEventDiscountMultipleParticipants($pageType, &$form,
 
       $sv = $form->getVar('_submitValues');
       if (array_key_exists('additional_participants', $sv)) {
-        $apcount += $sv['additional_participants'];
+        $apcount += (int) $sv['additional_participants'];
       }
       if (($discount['count_use'] + $apcount) > $discount['count_max']) {
         $form->set('discountCodeErrorMsg', E::ts('There are not enough uses remaining for this code.'));
